Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.language
[Java] Interface HeaderExportingSourceSet

    org.gradle.api.Buildable
      org.gradle.language.base.LanguageSourceSet
          org.gradle.language.HeaderExportingSourceSet
              org.gradle.api.Named

All Superinterfaces:
  Buildable, LanguageSourceSet, Named

    @Incubating
    public interface HeaderExportingSourceSet
    extends LanguageSourceSet

A source set that exposes headers

Method Summary
`void` | `exportedHeaders(Action config)` Configure the exported header directories.
`SourceDirectorySet` | `getExportedHeaders()` The headers as a directory set.

Methods inherited from interface LanguageSourceSet
getSource, source

Methods inherited from interface Buildable
getBuildDependencies

Methods inherited from interface Named
getName

Method Detail

### exportedHeaders

    public void exportedHeaders(Action config)

  Configure the exported header directories.

### getExportedHeaders

    public SourceDirectorySet getExportedHeaders()

  The headers as a directory set.

Gradle API 1.10